about summary refs log tree commit diff
diff options
context:
space:
mode:
authorhexcoder- <heiko@hexco.de>2020-04-21 23:15:25 +0200
committerhexcoder- <heiko@hexco.de>2020-04-21 23:15:25 +0200
commit059c9634674ab3912fede3f2e0f0627a8d7d54ab (patch)
tree395ff3afeca5b11118db7303b4759ab7b424c9cb
parentf6c9acd5183b52e9dec0d810c51e3ca6649008fe (diff)
downloadafl++-059c9634674ab3912fede3f2e0f0627a8d7d54ab.tar.gz
unicornafl build script: fix prerequisite search for setuptools
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index b2ac48f9..1e5b3ef4 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -107,7 +107,7 @@ for i in $PYTHONBIN automake autoconf git $MAKECMD $TARCMD; do
 
 done
 
-if ! type $EASY_INSTALL > /dev/null; then
+if ! command -v $EASY_INSTALL >/dev/null; then
 
   # work around for installs with executable easy_install
   EASY_INSTALL_FOUND=0
@@ -123,7 +123,7 @@ if ! type $EASY_INSTALL > /dev/null; then
 
     fi
   done
-  if [ '!' $EASY_INSTALL_FOUND ]; then
+  if [ "0" = $EASY_INSTALL_FOUND ]; then
 
     echo "[-] Error: Python setup-tools not found. Run 'sudo apt-get install python-setuptools'."
     PREREQ_NOTFOUND=1